aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Mike Kelly <pioto@pioto.org> 2006-10-05 23:42:21 +0000
committerAvatar Mike Kelly <pioto@pioto.org> 2006-10-05 23:42:21 +0000
commit79033852e254b466c51ca5a75c137da024fe504c (patch)
treebaa8fe3d844f1bd4b49f3f09b0c19c89a2622f66
parentcb92f9daa6d072ff1eb42fb8aea887ffe9bf82f7 (diff)
downloadpaludis-79033852e254b466c51ca5a75c137da024fe504c.tar.gz
paludis-79033852e254b466c51ca5a75c137da024fe504c.tar.xz
Make ebuild.bash die if PALUDIS_TMPDIR doesn't exist when we try to load an ebuild.
-rwxr-xr-xebuild/ebuild.bash2
1 files changed, 2 insertions, 0 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index 498983b..a4b629a 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -151,6 +151,8 @@ done
ebuild_load_ebuild()
{
if [[ -n "${PALUDIS_LOAD_ENVIRONMENT}" ]] ; then
+ [[ -d ${PALUDIS_TMPDIR} ]] \
+ || die "You need to create PALUDIS_TMPDIR (${PALUDIS_TMPDIR})."
bunzip2 < "${PALUDIS_LOAD_ENVIRONMENT}" > ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF} \
|| die "Can't extract ${PALUDIS_LOAD_ENVIRONMENT}"